Bug 886963 - Update eucalyptus to 3.2
Summary: Update eucalyptus to 3.2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eucalyptus
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matt Spaulding
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedNTH
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-13 17:00 UTC by Andy Grimm
Modified: 2016-11-08 03:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-12 00:41:14 UTC


Attachments (Terms of Use)

Description Andy Grimm 2012-12-13 17:00:31 UTC
Since the Fedora 18 release has slipped by several weeks, it has given us an opportunity to include Eucalyptus 3.2 in the release, but narrowly we missed this week's deadline, partly due to a need to be compatible with some jboss-related java updates happening around the same time (hibernate3 and wss4j).

Eucalyptus 3.1.x is effectively EOL'ed upstream this month, so including it in the January Fedora release makes little sense.  Also, the eucalyptus 3.1.2 package which is currently in the F18 repo has a couple of critical bugs, including incorrectly formatted systemd macro usage in the preun script which causes uninstall / update attempts to fail.

Additionally, Eucalyptus 3.2 contains some nice new features, such as a web-based User Console for cloud resource management.

The set of packages which are interdependent as part of this are:

eucalyptus-3.2.0-0.5.20121210git5ab72572.fc18, 
xml-security-1.5.3-1.fc18, 
wss4j-1.6.7-1.fc18, 
cxf-2.6.3-4.fc18, 
mule-2.0.2.20080813-7.fc18, 
hibernate3-3.6.10-7.fc18, 
hibernate-4.1.7-5.fc18, 
jbossws-cxf-4.1.0-2.fc18, 
springframework-3.1.1-11.fc18

Comment 1 Fedora Update System 2012-12-13 17:11:45 UTC
xml-security-1.5.3-1.fc18, wss4j-1.6.7-1.fc18, cxf-2.6.3-4.fc18, mule-2.0.2.20080813-7.fc18, hibernate3-3.6.10-7.fc18, hibernate-4.1.7-5.fc18, jbossws-cxf-4.1.0-2.fc18, springframework-3.1.1-11.fc18, eucalyptus-3.2.0-0.5.20121210git5ab72572.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/eucalyptus-3.2.0-0.5.20121210git5ab72572.fc18,xml-security-1.5.3-1.fc18,wss4j-1.6.7-1.fc18,cxf-2.6.3-4.fc18,mule-2.0.2.20080813-7.fc18,hibernate3-3.6.10-7.fc18,hibernate-4.1.7-5.fc18,jbossws-cxf-4.1.0-2.fc18,springframework-3.1.1-11.fc18

Comment 2 Fedora Update System 2012-12-14 06:45:37 UTC
Package xml-security-1.5.3-1.fc18, wss4j-1.6.7-1.fc18, cxf-2.6.3-4.fc18, mule-2.0.2.20080813-7.fc18, hibernate3-3.6.10-7.fc18, hibernate-4.1.7-5.fc18, jbossws-cxf-4.1.0-2.fc18, springframework-3.1.1-11.fc18, eucalyptus-3.2.0-0.5.20121210git5ab72572.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xml-security-1.5.3-1.fc18 wss4j-1.6.7-1.fc18 cxf-2.6.3-4.fc18 mule-2.0.2.20080813-7.fc18 hibernate3-3.6.10-7.fc18 hibernate-4.1.7-5.fc18 jbossws-cxf-4.1.0-2.fc18 springframework-3.1.1-11.fc18 eucalyptus-3.2.0-0.5.20121210git5ab72572.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20318/eucalyptus-3.2.0-0.5.20121210git5ab72572.fc18,xml-security-1.5.3-1.fc18,wss4j-1.6.7-1.fc18,cxf-2.6.3-4.fc18,mule-2.0.2.20080813-7.fc18,hibernate3-3.6.10-7.fc18,hibernate-4.1.7-5.fc18,jbossws-cxf-4.1.0-2.fc18,springframework-3.1.1-11.fc18
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2012-12-14 23:20:15 UTC
Package xml-security-1.5.3-1.fc18, wss4j-1.6.7-1.fc18, cxf-2.6.3-4.fc18, mule-2.0.2.20080813-7.fc18, hibernate3-3.6.10-7.fc18, hibernate-4.1.7-5.fc18, jbossws-cxf-4.1.0-2.fc18, springframework-3.1.1-11.fc18, eucalyptus-3.2.0-0.5.20121210git5ab72572.fc18, jboss-as-7.1.1-13.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xml-security-1.5.3-1.fc18 wss4j-1.6.7-1.fc18 cxf-2.6.3-4.fc18 mule-2.0.2.20080813-7.fc18 hibernate3-3.6.10-7.fc18 hibernate-4.1.7-5.fc18 jbossws-cxf-4.1.0-2.fc18 springframework-3.1.1-11.fc18 eucalyptus-3.2.0-0.5.20121210git5ab72572.fc18 jboss-as-7.1.1-13.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20318/jboss-as-7.1.1-13.fc18,eucalyptus-3.2.0-0.5.20121210git5ab72572.fc18,xml-security-1.5.3-1.fc18,wss4j-1.6.7-1.fc18,cxf-2.6.3-4.fc18,mule-2.0.2.20080813-7.fc18,hibernate3-3.6.10-7.fc18,hibernate-4.1.7-5.fc18,jbossws-cxf-4.1.0-2.fc18,springframework-3.1.1-11.fc18
then log in and leave karma (feedback).

Comment 4 Adam Williamson 2012-12-17 20:17:23 UTC
Discussed at 2012-12-17 NTH review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-17/f18final-blocker-review-5.2012-12-17-16.40.log.txt . Rejected as NTH: we are worried about the packaging bug described in comment #0, but we don't think it's appropriate to take a wholesale multiple-component version bump past freeze, and don't see why it can't go out as a 0-day update.

If the packaging bug mentioned in the OP is split out and filed separately there's a strong chance it would be accepted as NTH, but we would still be reluctant to take a massive version bump as the 'fix' for that, at least without strong karma and support from the devs of all relevant components.

Comment 5 Andy Grimm 2012-12-17 21:13:03 UTC
FWIW, the interdependence of these packages was probably not well explained.

* hibernate3 files were moved around to make the inclusion of hibernate 4 into the distro easier.
* springframework has to be rebuilt to deal with the new hibernate paths
* wss4j and xml-security were bumped to support the new jboss version
* eucalyptus needed to be patched to support the version bumps of wss4j and xml-security, as well as the file moves in hibernate3

Thus, it would be possible to both fix the eucalyptus packaging bug _and_ bump it to 3.2 without any impact whatsoever on these other packages.  Given that eucalyptus is not a dependency for anything else in the distro, this would seem reasonable to me.  If that's the update you'd rather see, I'm happy to provide it.  Providing another build of 3.1.x to fix anything is a waste of time, though, as it would still be bumped to 3.2 in a 0-day update, and absolutely no testing of 3.1 to 3.2 upgrades in Fedora is planned.

Comment 6 Adam Williamson 2012-12-17 22:47:53 UTC
"Thus, it would be possible to both fix the eucalyptus packaging bug _and_ bump it to 3.2 without any impact whatsoever on these other packages."

That scenario would probably be NTH-acceptable if you could do it in the next day or two.

Comment 7 Fedora Update System 2013-01-12 00:41:16 UTC
xml-security-1.5.3-1.fc18, wss4j-1.6.7-1.fc18, cxf-2.6.3-4.fc18, mule-2.0.2.20080813-7.fc18, hibernate3-3.6.10-7.fc18, hibernate-4.1.7-5.fc18, jbossws-cxf-4.1.0-2.fc18, springframework-3.1.1-11.fc18, eucalyptus-3.2.0-0.5.20121210git5ab72572.fc18, jboss-as-7.1.1-13.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.